Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum ContactProperty

    java.lang.Object
      java.lang.Enum<ContactProperty>
          com.nortel.soa.oi.cct.types.ContactProperty

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContactProperty>

    public enum ContactProperty

extends java.lang.Enum<ContactProperty>

Java class for contactProperty.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="contactProperty">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CONTACT"/>
         <enumeration value="CONFERENCE_INIT"/>
         <enumeration value="CONFERENCE_COMPLETE"/>
         <enumeration value="BLIND_TRANSFER_COMPLETE"/>
         <enumeration value="SUPERVISED_TRANSFER_INIT"/>
         <enumeration value="SUPERVISED_TRANSFER_COMPLETE"/>
         <enumeration value="CONSULT"/>
         <enumeration value="ATTACHED_DATA"/>
         <enumeration value="NETWORK_DIALED_ADDRESS"/>
         <enumeration value="SPEXTERNAL_ID"/>
         <enumeration value="UUI"/>
         <enumeration value="CONTACT_TYPE"/>
         <enumeration value="CALLED_ALIAS"/>
         <enumeration value="CALLED_ADDRESS"/>
         <enumeration value="CALLING_ADDRESS"/>
         <enumeration value="CALLING_TERMINAL"/>
         <enumeration value="LAST_REDIRECTED_ADDRESS"/>
         <enumeration value="CCM_ID"/>
         <enumeration value="INTRINSICS"/>
         <enumeration value="ROUTE"/>
         <enumeration value="NODE_ID"/>
         <enumeration value="SOURCE_SITE_GROUP_ID"/>
         <enumeration value="TARGET_AGENT_POSITION_ID"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ATTACHED_DATA`
`BLIND_TRANSFER_COMPLETE`
`CALLED_ADDRESS`
`CALLED_ALIAS`
`CALLING_ADDRESS`
`CALLING_TERMINAL`
`CCM_ID`
`CONFERENCE_COMPLETE`
`CONFERENCE_INIT`
`CONSULT`
`CONTACT`
`CONTACT_TYPE`
`INTRINSICS`
`LAST_REDIRECTED_ADDRESS`
`NETWORK_DIALED_ADDRESS`
`NODE_ID`
`ROUTE`
`SOURCE_SITE_GROUP_ID`
`SPEXTERNAL_ID`
`SUPERVISED_TRANSFER_COMPLETE`
`SUPERVISED_TRANSFER_INIT`
`TARGET_AGENT_POSITION_ID`
`UUI`

Method Summary
`static ContactProperty` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static ContactProperty` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTACT

    public static final ContactProperty CONTACT

### CONFERENCE_INIT

    public static final ContactProperty CONFERENCE_INIT

### CONFERENCE_COMPLETE

    public static final ContactProperty CONFERENCE_COMPLETE

### BLIND_TRANSFER_COMPLETE

    public static final ContactProperty BLIND_TRANSFER_COMPLETE

### SUPERVISED_TRANSFER_INIT

    public static final ContactProperty SUPERVISED_TRANSFER_INIT

### SUPERVISED_TRANSFER_COMPLETE

    public static final ContactProperty SUPERVISED_TRANSFER_COMPLETE

### CONSULT

    public static final ContactProperty CONSULT

### ATTACHED_DATA

    public static final ContactProperty ATTACHED_DATA

### NETWORK_DIALED_ADDRESS

    public static final ContactProperty NETWORK_DIALED_ADDRESS

### SPEXTERNAL_ID

    public static final ContactProperty SPEXTERNAL_ID

### UUI

    public static final ContactProperty UUI

### CONTACT_TYPE

    public static final ContactProperty CONTACT_TYPE

### CALLED_ALIAS

    public static final ContactProperty CALLED_ALIAS

### CALLED_ADDRESS

    public static final ContactProperty CALLED_ADDRESS

### CALLING_ADDRESS

    public static final ContactProperty CALLING_ADDRESS

### CALLING_TERMINAL

    public static final ContactProperty CALLING_TERMINAL

### LAST_REDIRECTED_ADDRESS

    public static final ContactProperty LAST_REDIRECTED_ADDRESS

### CCM_ID

    public static final ContactProperty CCM_ID

### INTRINSICS

    public static final ContactProperty INTRINSICS

### ROUTE

    public static final ContactProperty ROUTE

### NODE_ID

    public static final ContactProperty NODE_ID

### SOURCE_SITE_GROUP_ID

    public static final ContactProperty SOURCE_SITE_GROUP_ID

### TARGET_AGENT_POSITION_ID

    public static final ContactProperty TARGET_AGENT_POSITION_ID

Method Detail

### values

    public static ContactProperty[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactProperty c : ContactProperty.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactProperty valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static ContactProperty fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.